#!/bin/sh
if [ -f ~/.config/user-dirs.dirs ] && [ "$UID" -eq 500 ] ; then
	. ~/.config/user-dirs.dirs
	if [ ! -f "$XDG_DESKTOP_DIR"/livecd-install.desktop ]; then
		cp /usr/share/applications/livecd-install.desktop "$XDG_DESKTOP_DIR"/
		chmod +x "$XDG_DESKTOP_DIR"/livecd-install.desktop
		gio set "$XDG_DESKTOP_DIR"/livecd-install.desktop "metadata::trusted:" yes
		gio set "$XDG_DESKTOP_DIR"/livecd-install.desktop "metadata::xfce-exe-checksum" $(sha256sum "$XDG_DESKTOP_DIR"/livecd-install.desktop | cut -f1 -d ' ')
		gio set "$XDG_DESKTOP_DIR"/livecd-install.desktop "metadata::trust" true
	fi
fi
